gnutls_pkcs12_bag_set_data(3)

NAME
gnutls_pkcs12_bag_set_data - API function

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_bag_set_data(gnutls_pkcs12_bag_t bag, gnutls_pkcs12_bag_type_t type, const gnutls_datum_t * data);

ARGUMENTS

gnutls_pkcs12_bag_t bag
    The bag

gnutls_pkcs12_bag_type_t type
    The data's type

const gnutls_datum_t * data
    the data to be copied.

DESCRIPTION
This function will insert the given data of the given type into the bag.

RETURNS
the index of the added bag on success, or a negative value on error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/